apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: imageswap-serving-cert
  namespace: imageswap-system
spec:
  dnsNames:
  - imageswap.imageswap-system.svc
  - imageswap.imageswap-system.svc.cluster.local
  issuerRef:
    kind: Issuer
    name: imageswap-selfsigned-issuer
  secretName: imageswap-cert
---
apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
  name: imageswap-selfsigned-issuer
  namespace: imageswap-system
spec:
  selfSigned: {}
